Changeset 212 for ThirdParty/Blas


Ignore:
Timestamp:
Jan 30, 2007 4:46:08 PM (13 years ago)
Author:
andreasw
Message:

reran autotools with latest coin.m4

Location:
ThirdParty/Blas/trunk
Files:
2 edited

Legend:

Unmodified
Added
Removed
  • ThirdParty/Blas/trunk/Makefile.in

    r142 r212  
    182182abs_lib_dir = @abs_lib_dir@
    183183abs_source_dir = @abs_source_dir@
     184ac_c_preproc_warn_flag = @ac_c_preproc_warn_flag@
    184185ac_ct_AR = @ac_ct_AR@
    185186ac_ct_CC = @ac_ct_CC@
     
    188189ac_ct_RANLIB = @ac_ct_RANLIB@
    189190ac_ct_STRIP = @ac_ct_STRIP@
     191ac_cxx_preproc_warn_flag = @ac_cxx_preproc_warn_flag@
    190192am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
    191193am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
  • ThirdParty/Blas/trunk/configure

    r201 r212  
    473473#endif"
    474474
    475 ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS ADDLIBS FADDLIBS ALWAYS_FALSE_TRUE ALWAYS_FALSE_FALSE build build_cpu build_vendor build_os CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT MPICC ADD_FFLAGS DBG_FFLAGS OPT_FFLAGS F77 FFLAGS ac_ct_F77 MPIF77 EGREP INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os LN_S ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXX CXXFLAGS ac_ct_CXX CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE CXXCPP LIBTOOL RPATH_FLAGS LT_LDFLAGS LIBEXT VPATH_DISTCLEANFILES LIBOBJS LTLIBOBJS'
     475ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS ADDLIBS FADDLIBS ALWAYS_FALSE_TRUE ALWAYS_FALSE_FALSE build build_cpu build_vendor build_os CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT MPICC ADD_FFLAGS DBG_FFLAGS OPT_FFLAGS F77 FFLAGS ac_ct_F77 MPIF77 EGREP INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os LN_S ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXX CXXFLAGS ac_ct_CXX CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE CXXCPP LIBTOOL ac_c_preproc_warn_flag ac_cxx_preproc_warn_flag RPATH_FLAGS LT_LDFLAGS LIBEXT VPATH_DISTCLEANFILES LIBOBJS LTLIBOBJS'
    476476ac_subst_files=''
    477477
     
    10741074  --enable-debug-blas compile this project (Blas) with debug options
    10751075  --enable-doscompile     Under Cygwin, compile so that executables run under
    1076                           DOS (default: disabled)
     1076                          DOS. Set to mingw to use gcc/g++/ld with
     1077                          -mno-cygwin. Set to msvc to use cl/link. Default
     1078                          when mentioned: mingw. Default when not mentioned:
     1079                          disabled.
    10771080  --enable-static[=PKGS]
    10781081                          build static libraries [default=no]
     
    17731776    fi
    17741777    ;;
    1775 esac
    1776 
    1777 # Check whether --enable-doscompile or --disable-doscompile was given.
     1778 esac
     1779 case $enable_doscompile in
     1780   msvc)
     1781     if test "x${LD+set}" = xset; then :; else
     1782       LD=link
     1783     fi
     1784     ;;
     1785 esac
     1786
     1787
     1788 # Check whether --enable-doscompile or --disable-doscompile was given.
    17781789if test "${enable_doscompile+set}" = set; then
    17791790  enableval="$enable_doscompile"
    1780   if test "$enable_doscompile = yes"; then
    1781   case $build in
    1782     *-cygwin*) ;;
    1783     *) { { echo "$as_me:$LINENO: error: --enable-doscompile option makes only sense under Cygwin" >&5
    1784 echo "$as_me: error: --enable-doscompile option makes only sense under Cygwin" >&2;}
     1791  if test "$enable_doscompile" != no; then
     1792     case $build in
     1793       *-cygwin*) ;;
     1794       *) { { echo "$as_me:$LINENO: error: --enable-doscompile option makes sense only under Cygwin" >&5
     1795echo "$as_me: error: --enable-doscompile option makes sense only under Cygwin" >&2;}
    17851796   { (exit 1); exit 1; }; } ;;
    1786   esac
    1787 fi
     1797     esac
     1798   fi
    17881799else
    17891800  enable_doscompile=no
    17901801fi;
     1802 case "$enable_doscompile" in
     1803   msvc|mingw|no) ;;
     1804   yes) enable_doscompile=mingw ;;
     1805   *) { { echo "$as_me:$LINENO: error: Invalid value $enable_doscompile for --enable-doscompile.
     1806                    Try configure --help=recursive." >&5
     1807echo "$as_me: error: Invalid value $enable_doscompile for --enable-doscompile.
     1808                    Try configure --help=recursive." >&2;}
     1809   { (exit 1); exit 1; }; }
     1810      ;;
     1811  esac
     1812  if test "$enable_doscompile" != no ; then
     1813    { echo "$as_me:$LINENO: DOS compile style is: $enable_doscompile" >&5
     1814echo "$as_me: DOS compile style is: $enable_doscompile" >&6;}
     1815  fi
    17911816
    17921817
     
    18221847
    18231848save_cflags="$CFLAGS"
     1849# For sparc-sun-solaris, promote Studio/Workshop compiler to front of list.
     1850# ToDo: If Studio/Workshop cc is not present, we may find /usr/ucb/cc, which
     1851# is likely to be a non-functional shell. But many installations will have
     1852# both cc and gcc, so promoting gcc isn't good either. How to test reliably?
    18241853case $build in
    18251854  *-cygwin* | *-mingw*)
    1826              comps="gcc cl" ;;
     1855             if test "$enable_doscompile" = msvc ; then
     1856               comps="cl"
     1857             else
     1858               comps="gcc cl"
     1859             fi ;;
     1860  sparc-sun-solaris*)
     1861             comps="cc xlc gcc pgcc icc" ;;
    18271862  *-linux-*) comps="xlc gcc cc pgcc icc" ;;
    18281863  *)         comps="xlc_r xlc cc gcc pgcc icc" ;;
     
    18321867# performed with our choice of compilers earlier
    18331868$as_unset ac_cv_prog_CC || test "${ac_cv_prog_CC+set}" != set || { ac_cv_prog_CC=; export ac_cv_prog_CC; }
     1869# AC_MSG_NOTICE([C compiler candidates: $comps])
    18341870ac_ext=c
    18351871ac_cpp='$CPP $CPPFLAGS'
     
    25852621        coin_dbg_cflags="-g"
    25862622        coin_warn_cflags="-pedantic-errors -Wimplicit -Wparentheses -Wsequence-point -Wreturn-type -Wcast-qual -Wall"
    2587         if test "$enable_doscompile" = yes; then
    2588           case $build in
    2589             *-cygwin*)
    2590               CFLAGS="-mno-cygwin"
    2591               cat >conftest.$ac_ext <<_ACEOF
     2623        case $enable_doscompile in
     2624          mingw)
     2625            CFLAGS="-mno-cygwin"
     2626            cat >conftest.$ac_ext <<_ACEOF
    25922627/* confdefs.h.  */
    25932628_ACEOF
     
    26342669rm -f conftest.err conftest.$ac_objext \
    26352670      conftest$ac_exeext conftest.$ac_ext
    2636               CFLAGS=
    2637             ;;
    2638           esac
    2639         fi
     2671            CFLAGS=
     2672          ;;
     2673        esac
    26402674    esac
    26412675  fi
     
    26452679        case "$CC" in
    26462680          cl* | */cl* | CL* | */CL*)
    2647             coin_opt_cflags='-O2'
    2648             coin_add_cflags='-nologo'
     2681            coin_opt_cflags='-MT -O2'
     2682            coin_add_cflags='-nologo -wd4996'
    26492683            coin_dbg_cflags='-MTd'
    26502684            ;;
     
    28222856fi
    28232857
     2858# If CFLAGS contains -mno-cygwin, CPPFLAGS must also have it.
     2859
     2860case "$CFLAGS" in
     2861  *-mno-cygwin*)
     2862    if test x${CPPFLAGS+set} != xset ; then
     2863      CPPFLAGS="-mno-cygwin"
     2864    else
     2865      case "$CPPFLAGS" in
     2866        *-mno-cygwin*)
     2867          ;;
     2868        *)
     2869          CPPFLAGS="$CPPFLAGS -mno-cygwin"
     2870          ;;
     2871      esac
     2872    fi ;;
     2873esac
     2874
    28242875# Try if CFLAGS works
    28252876save_CFLAGS="$CFLAGS"
     
    29462997    fi
    29472998    ;;
    2948 esac
     2999 esac
     3000 case $enable_doscompile in
     3001   msvc)
     3002     if test "x${LD+set}" = xset; then :; else
     3003       LD=link
     3004     fi
     3005     ;;
     3006 esac
    29493007
    29503008    ;;
     
    29603018case $build in
    29613019  *-cygwin* | *-mingw*)
    2962      coin_f77_comps="gfortran g77 ifort fl32" ;;
     3020     if test "$enable_doscompile" = msvc ; then
     3021       coin_f77_comps="ifort fl32"
     3022     else
     3023       coin_f77_comps="gfortran g77 ifort fl32"
     3024     fi ;;
     3025  sparc-sun-solaris*)
     3026     coin_f77_comps="f95 f90 f77 xlf fort77 gfortran g77 pgf90 pgf77 ifort ifc frt af77" ;;
    29633027  *) coin_f77_comps="xlf fort77 gfortran f77 g77 pgf90 pgf77 ifort ifc frt af77" ;;
    2964 esac
     3028 esac
    29653029
    29663030
     
    29823046
    29833047save_fflags="$FFLAGS"
    2984 comps="$coin_f77_comps" #This comes from AC_COIN_F77_COMPS
    29853048
    29863049# We delete the cached value, since the test might not have been
    29873050# performed with our choice of compilers earlier
    29883051$as_unset ac_cv_prog_F77 || test "${ac_cv_prog_F77+set}" != set || { ac_cv_prog_F77=; export ac_cv_prog_F77; }
    2989 ac_ext=f
     3052
     3053# This is a real belt-and-suspenders approach. AC_COIN_FIND_F77 will use
     3054# coin_f77_comps to see if there's a program that matches one of the names.
     3055# If there's no such program, F77 = unavailable. If we match the name,
     3056# feed AC_PROG_F77 the same search list, just to be sure it's a functioning
     3057# compiler.
     3058# AC_MSG_NOTICE([Fortran compiler candidates: $coin_f77_comps])
     3059
     3060
     3061{ echo "$as_me:$LINENO: Trying to determine Fortran compiler name" >&5
     3062echo "$as_me: Trying to determine Fortran compiler name" >&6;}
     3063for ac_prog in $coin_f77_comps
     3064do
     3065  # Extract the first word of "$ac_prog", so it can be a program name with args.
     3066set dummy $ac_prog; ac_word=$2
     3067echo "$as_me:$LINENO: checking for $ac_word" >&5
     3068echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
     3069if test "${ac_cv_prog_F77+set}" = set; then
     3070  echo $ECHO_N "(cached) $ECHO_C" >&6
     3071else
     3072  if test -n "$F77"; then
     3073  ac_cv_prog_F77="$F77" # Let the user override the test.
     3074else
     3075as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
     3076for as_dir in $PATH
     3077do
     3078  IFS=$as_save_IFS
     3079  test -z "$as_dir" && as_dir=.
     3080  for ac_exec_ext in '' $ac_executable_extensions; do
     3081  if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
     3082    ac_cv_prog_F77="$ac_prog"
     3083    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
     3084    break 2
     3085  fi
     3086done
     3087done
     3088
     3089fi
     3090fi
     3091F77=$ac_cv_prog_F77
     3092if test -n "$F77"; then
     3093  echo "$as_me:$LINENO: result: $F77" >&5
     3094echo "${ECHO_T}$F77" >&6
     3095else
     3096  echo "$as_me:$LINENO: result: no" >&5
     3097echo "${ECHO_T}no" >&6
     3098fi
     3099
     3100  test -n "$F77" && break
     3101done
     3102test -n "$F77" || F77="unavailable"
     3103
     3104
     3105if test "$F77" != "unavailable" ; then
     3106  ac_ext=f
    29903107ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
    29913108ac_link='$F77 -o conftest$ac_exeext $FFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
    29923109ac_compiler_gnu=$ac_cv_f77_compiler_gnu
    29933110if test -n "$ac_tool_prefix"; then
    2994   for ac_prog in $comps
     3111  for ac_prog in $coin_f77_comps
    29953112  do
    29963113    # Extract the first word of "$ac_tool_prefix$ac_prog", so it can be a program name with args.
     
    30343151if test -z "$F77"; then
    30353152  ac_ct_F77=$F77
    3036   for ac_prog in $comps
     3153  for ac_prog in $coin_f77_comps
    30373154do
    30383155  # Extract the first word of "$ac_prog", so it can be a program name with args.
     
    30793196
    30803197# Provide some information about the compiler.
    3081 echo "$as_me:3081:" \
     3198echo "$as_me:3198:" \
    30823199     "checking for Fortran 77 compiler version" >&5
    30833200ac_compiler=`set X $ac_compile; echo $2`
     
    32223339ac_compiler_gnu=$ac_cv_f77_compiler_gnu
    32233340
    3224 if test -z "$F77" ; then
     3341else
    32253342  { echo "$as_me:$LINENO: WARNING: Failed to find a Fortran compiler!" >&5
    32263343echo "$as_me: WARNING: Failed to find a Fortran compiler!" >&2;}
    32273344fi
     3345
    32283346FFLAGS="$save_fflags"
    32293347
     
    32363354fi
    32373355
    3238 if test x"$FFLAGS" = x; then
     3356if test "$F77" != "unavailable" && test x"$FFLAGS" = x ; then
    32393357
    32403358  coin_add_fflags=
     
    32473365    coin_add_fflags="-pipe"
    32483366    coin_dbg_fflags="-g"
    3249     if test "$enable_doscompile" = yes; then
    3250       case $build in
    3251         *-cygwin*)
    3252           FFLAGS="-mno-cygwin"
    3253           cat >conftest.$ac_ext <<_ACEOF
     3367    case $enable_doscompile in
     3368      mingw)
     3369        FFLAGS="-mno-cygwin"
     3370        cat >conftest.$ac_ext <<_ACEOF
    32543371      program main
    32553372      write(*,*) 'Hello world'
     
    32863403rm -f conftest.err conftest.$ac_objext \
    32873404      conftest$ac_exeext conftest.$ac_ext
    3288           FFLAGS=
    3289         ;;
    3290       esac
    3291     fi
     3405        FFLAGS=
     3406      ;;
     3407    esac
    32923408  else
    32933409    case $build in
     
    34523568fi
    34533569
     3570# If FFLAGS contains -mno-cygwin, CPPFLAGS must have it.
     3571case "$FFLAGS" in
     3572  *-mno-cygwin*)
     3573    if test x${CPPFLAGS+set} != xset ; then
     3574      CPPFLAGS="-mno-cygwin"
     3575    else
     3576      case "$CPPFLAGS" in
     3577        *-mno-cygwin*)
     3578          ;;
     3579        *)
     3580          CPPFLAGS="$CPPFLAGS -mno-cygwin"
     3581          ;;
     3582      esac
     3583    fi ;;
     3584esac
     3585
    34543586# Try if FFLAGS works
    3455 cat >conftest.$ac_ext <<_ACEOF
    3456       program main
    3457       integer i
    3458       end
    3459 _ACEOF
    3460 rm -f conftest.$ac_objext conftest$ac_exeext
    3461 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    3462   (eval $ac_link) 2>conftest.er1
    3463   ac_status=$?
    3464   grep -v '^ *+' conftest.er1 >conftest.err
    3465   rm -f conftest.er1
    3466   cat conftest.err >&5
    3467   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3468   (exit $ac_status); } &&
    3469          { ac_try='test -z "$ac_f77_werror_flag"
    3470                          || test ! -s conftest.err'
    3471   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    3472   (eval $ac_try) 2>&5
    3473   ac_status=$?
    3474   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3475   (exit $ac_status); }; } &&
    3476          { ac_try='test -s conftest$ac_exeext'
    3477   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    3478   (eval $ac_try) 2>&5
    3479   ac_status=$?
    3480   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3481   (exit $ac_status); }; }; then
    3482   :
    3483 else
    3484   echo "$as_me: failed program was:" >&5
    3485 sed 's/^/| /' conftest.$ac_ext >&5
    3486 
    3487 FFLAGS=
    3488 fi
    3489 rm -f conftest.err conftest.$ac_objext \
    3490       conftest$ac_exeext conftest.$ac_ext
    3491 if test -z "$FFLAGS"; then
    3492   { echo "$as_me:$LINENO: WARNING: The flags FFLAGS=\"$FFLAGS\" do not work.  I will now just try '-O', but you might want to set FFLAGS manually." >&5
    3493 echo "$as_me: WARNING: The flags FFLAGS=\"$FFLAGS\" do not work.  I will now just try '-O', but you might want to set FFLAGS manually." >&2;}
    3494   FFLAGS='-O'
     3587if test "$F77" != "unavailable" ; then
    34953588  cat >conftest.$ac_ext <<_ACEOF
    34963589      program main
     
    35303623      conftest$ac_exeext conftest.$ac_ext
    35313624  if test -z "$FFLAGS"; then
    3532     { echo "$as_me:$LINENO: WARNING: This value for FFLAGS does not work.  I will continue with empty FFLAGS, but you might want to set FFLAGS manually." >&5
     3625    { echo "$as_me:$LINENO: WARNING: The flags FFLAGS=\"$FFLAGS\" do not work.  I will now just try '-O', but you might want to set FFLAGS manually." >&5
     3626echo "$as_me: WARNING: The flags FFLAGS=\"$FFLAGS\" do not work.  I will now just try '-O', but you might want to set FFLAGS manually." >&2;}
     3627    FFLAGS='-O'
     3628    cat >conftest.$ac_ext <<_ACEOF
     3629      program main
     3630      integer i
     3631      end
     3632_ACEOF
     3633rm -f conftest.$ac_objext conftest$ac_exeext
     3634if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     3635  (eval $ac_link) 2>conftest.er1
     3636  ac_status=$?
     3637  grep -v '^ *+' conftest.er1 >conftest.err
     3638  rm -f conftest.er1
     3639  cat conftest.err >&5
     3640  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3641  (exit $ac_status); } &&
     3642         { ac_try='test -z "$ac_f77_werror_flag"
     3643                         || test ! -s conftest.err'
     3644  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     3645  (eval $ac_try) 2>&5
     3646  ac_status=$?
     3647  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3648  (exit $ac_status); }; } &&
     3649         { ac_try='test -s conftest$ac_exeext'
     3650  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     3651  (eval $ac_try) 2>&5
     3652  ac_status=$?
     3653  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3654  (exit $ac_status); }; }; then
     3655  :
     3656else
     3657  echo "$as_me: failed program was:" >&5
     3658sed 's/^/| /' conftest.$ac_ext >&5
     3659
     3660FFLAGS=
     3661fi
     3662rm -f conftest.err conftest.$ac_objext \
     3663      conftest$ac_exeext conftest.$ac_ext
     3664    if test -z "$FFLAGS"; then
     3665      { echo "$as_me:$LINENO: WARNING: This value for FFLAGS does not work.  I will continue with empty FFLAGS, but you might want to set FFLAGS manually." >&5
    35333666echo "$as_me: WARNING: This value for FFLAGS does not work.  I will continue with empty FFLAGS, but you might want to set FFLAGS manually." >&2;}
     3667    fi
    35343668  fi
    35353669fi
     
    35463680
    35473681case "$F77" in
    3548   ifort*)
     3682  ifort* | */ifort* | IFORT* | */IFORT*)
    35493683    case $build in
    35503684  *-mingw*)
     
    35533687    fi
    35543688    ;;
    3555 esac
     3689 esac
     3690 case $enable_doscompile in
     3691   msvc)
     3692     if test "x${LD+set}" = xset; then :; else
     3693       LD=link
     3694     fi
     3695     ;;
     3696 esac
    35563697
    35573698    ;;
     
    39694110
    39704111
     4112
     4113# AC_MSG_NOTICE([Beginning automake initialisation.])
    39714114# Stuff for automake
    39724115# test to see if srcdir already configured
     
    46484791
    46494792
     4793# AC_MSG_NOTICE([End automake initialisation.])
     4794
     4795
    46504796
    46514797unset ac_cv_file__________libtool
     
    47004846
    47014847fi
    4702 #if test "x$LIBTOOL" = x; then
    4703 AC_CHECK_FILE([../../../libtool],
    4704 #                [coin_config_dir=../../..
    4705 #                 LIBTOOL='$(SHELL) $(top_builddir)/../../../libtool'])
    4706 #fi
     4848# if test "x$LIBTOOL" = x; then
     4849 AC_CHECK_FILE([../../../libtool],
     4850#                 [coin_config_dir=../../..
     4851#                  LIBTOOL='$(SHELL) $(top_builddir)/../../../libtool'])
     4852# fi
    47074853
    47084854if test "x$LIBTOOL" = x; then
    4709 
     4855# AC_MSG_NOTICE([Creating libtool script (calling COIN_PROG_LIBTOOL).])
    47104856  # Stuff for libtool
    4711   ac_ext=c
    4712 ac_cpp='$CPP $CPPFLAGS'
    4713 ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
    4714 ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
    4715 ac_compiler_gnu=$ac_cv_c_compiler_gnu
    4716 
    4717 if test x"" = x; then
    4718   hdr="#include <dlfcn.h>"
    4719 else
    4720   hdr=""
    4721 fi
    4722 
    4723 for ac_header in dlfcn.h
    4724 do
    4725 as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
    4726 echo "$as_me:$LINENO: checking for $ac_header" >&5
    4727 echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
    4728 if eval "test \"\${$as_ac_Header+set}\" = set"; then
    4729   echo $ECHO_N "(cached) $ECHO_C" >&6
    4730 else
    4731   cat >conftest.$ac_ext <<_ACEOF
    4732 /* confdefs.h.  */
    4733 _ACEOF
    4734 cat confdefs.h >>conftest.$ac_ext
    4735 cat >>conftest.$ac_ext <<_ACEOF
    4736 /* end confdefs.h.  */
    4737 $hdr
    4738 
    4739 #include <$ac_header>
    4740 _ACEOF
    4741 rm -f conftest.$ac_objext
    4742 if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    4743   (eval $ac_compile) 2>conftest.er1
    4744   ac_status=$?
    4745   grep -v '^ *+' conftest.er1 >conftest.err
    4746   rm -f conftest.er1
    4747   cat conftest.err >&5
    4748   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    4749   (exit $ac_status); } &&
    4750          { ac_try='test -z "$ac_c_werror_flag"
    4751                          || test ! -s conftest.err'
    4752   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    4753   (eval $ac_try) 2>&5
    4754   ac_status=$?
    4755   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    4756   (exit $ac_status); }; } &&
    4757          { ac_try='test -s conftest.$ac_objext'
    4758   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    4759   (eval $ac_try) 2>&5
    4760   ac_status=$?
    4761   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    4762   (exit $ac_status); }; }; then
    4763   eval "$as_ac_Header=yes"
    4764 else
    4765   echo "$as_me: failed program was:" >&5
    4766 sed 's/^/| /' conftest.$ac_ext >&5
    4767 
    4768 eval "$as_ac_Header=no"
    4769 fi
    4770 rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
    4771 fi
    4772 echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
    4773 echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
    4774 if test `eval echo '${'$as_ac_Header'}'` = yes; then
    4775   cat >>confdefs.h <<_ACEOF
    4776 #define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
    4777 _ACEOF
    4778 
    4779 fi
    4780 
    4781 done
    4782 
    4783 
    4784 ac_ext=c
    4785 ac_cpp='$CPP $CPPFLAGS'
    4786 ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
    4787 ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
    4788 ac_compiler_gnu=$ac_cv_c_compiler_gnu
    4789 
    4790 
    4791 # Check whether --enable-shared or --disable-shared was given.
     4857  # Check whether --enable-shared or --disable-shared was given.
    47924858if test "${enable_shared+set}" = set; then
    47934859  enableval="$enable_shared"
     
    53375403*-*-irix6*)
    53385404  # Find out which ABI we are using.
    5339   echo '#line 5339 "configure"' > conftest.$ac_ext
     5405  echo '#line 5405 "configure"' > conftest.$ac_ext
    53405406  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    53415407  (eval $ac_compile) 2>&5
     
    77667832   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    77677833   -e 's:$: $lt_compiler_flag:'`
    7768    (eval echo "\"\$as_me:7768: $lt_compile\"" >&5)
     7834   (eval echo "\"\$as_me:7834: $lt_compile\"" >&5)
    77697835   (eval "$lt_compile" 2>conftest.err)
    77707836   ac_status=$?
    77717837   cat conftest.err >&5
    7772    echo "$as_me:7772: \$? = $ac_status" >&5
     7838   echo "$as_me:7838: \$? = $ac_status" >&5
    77737839   if (exit $ac_status) && test -s "$ac_outfile"; then
    77747840     # The compiler can only warn and ignore the option if not recognized
     
    80348100   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    80358101   -e 's:$: $lt_compiler_flag:'`
    8036    (eval echo "\"\$as_me:8036: $lt_compile\"" >&5)
     8102   (eval echo "\"\$as_me:8102: $lt_compile\"" >&5)
    80378103   (eval "$lt_compile" 2>conftest.err)
    80388104   ac_status=$?
    80398105   cat conftest.err >&5
    8040    echo "$as_me:8040: \$? = $ac_status" >&5
     8106   echo "$as_me:8106: \$? = $ac_status" >&5
    80418107   if (exit $ac_status) && test -s "$ac_outfile"; then
    80428108     # The compiler can only warn and ignore the option if not recognized
     
    81388204   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    81398205   -e 's:$: $lt_compiler_flag:'`
    8140    (eval echo "\"\$as_me:8140: $lt_compile\"" >&5)
     8206   (eval echo "\"\$as_me:8206: $lt_compile\"" >&5)
    81418207   (eval "$lt_compile" 2>out/conftest.err)
    81428208   ac_status=$?
    81438209   cat out/conftest.err >&5
    8144    echo "$as_me:8144: \$? = $ac_status" >&5
     8210   echo "$as_me:8210: \$? = $ac_status" >&5
    81458211   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    81468212   then
     
    1048310549  lt_status=$lt_dlunknown
    1048410550  cat > conftest.$ac_ext <<EOF
    10485 #line 10485 "configure"
     10551#line 10551 "configure"
    1048610552#include "confdefs.h"
    1048710553
     
    1058310649  lt_status=$lt_dlunknown
    1058410650  cat > conftest.$ac_ext <<EOF
    10585 #line 10585 "configure"
     10651#line 10651 "configure"
    1058610652#include "confdefs.h"
    1058710653
     
    1292712993   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1292812994   -e 's:$: $lt_compiler_flag:'`
    12929    (eval echo "\"\$as_me:12929: $lt_compile\"" >&5)
     12995   (eval echo "\"\$as_me:12995: $lt_compile\"" >&5)
    1293012996   (eval "$lt_compile" 2>conftest.err)
    1293112997   ac_status=$?
    1293212998   cat conftest.err >&5
    12933    echo "$as_me:12933: \$? = $ac_status" >&5
     12999   echo "$as_me:12999: \$? = $ac_status" >&5
    1293413000   if (exit $ac_status) && test -s "$ac_outfile"; then
    1293513001     # The compiler can only warn and ignore the option if not recognized
     
    1303113097   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1303213098   -e 's:$: $lt_compiler_flag:'`
    13033    (eval echo "\"\$as_me:13033: $lt_compile\"" >&5)
     13099   (eval echo "\"\$as_me:13099: $lt_compile\"" >&5)
    1303413100   (eval "$lt_compile" 2>out/conftest.err)
    1303513101   ac_status=$?
    1303613102   cat out/conftest.err >&5
    13037    echo "$as_me:13037: \$? = $ac_status" >&5
     13103   echo "$as_me:13103: \$? = $ac_status" >&5
    1303813104   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1303913105   then
     
    1460114667   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1460214668   -e 's:$: $lt_compiler_flag:'`
    14603    (eval echo "\"\$as_me:14603: $lt_compile\"" >&5)
     14669   (eval echo "\"\$as_me:14669: $lt_compile\"" >&5)
    1460414670   (eval "$lt_compile" 2>conftest.err)
    1460514671   ac_status=$?
    1460614672   cat conftest.err >&5
    14607    echo "$as_me:14607: \$? = $ac_status" >&5
     14673   echo "$as_me:14673: \$? = $ac_status" >&5
    1460814674   if (exit $ac_status) && test -s "$ac_outfile"; then
    1460914675     # The compiler can only warn and ignore the option if not recognized
     
    1470514771   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1470614772   -e 's:$: $lt_compiler_flag:'`
    14707    (eval echo "\"\$as_me:14707: $lt_compile\"" >&5)
     14773   (eval echo "\"\$as_me:14773: $lt_compile\"" >&5)
    1470814774   (eval "$lt_compile" 2>out/conftest.err)
    1470914775   ac_status=$?
    1471014776   cat out/conftest.err >&5
    14711    echo "$as_me:14711: \$? = $ac_status" >&5
     14777   echo "$as_me:14777: \$? = $ac_status" >&5
    1471214778   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1471314779   then
     
    1691216978   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1691316979   -e 's:$: $lt_compiler_flag:'`
    16914    (eval echo "\"\$as_me:16914: $lt_compile\"" >&5)
     16980   (eval echo "\"\$as_me:16980: $lt_compile\"" >&5)
    1691516981   (eval "$lt_compile" 2>conftest.err)
    1691616982   ac_status=$?
    1691716983   cat conftest.err >&5
    16918    echo "$as_me:16918: \$? = $ac_status" >&5
     16984   echo "$as_me:16984: \$? = $ac_status" >&5
    1691916985   if (exit $ac_status) && test -s "$ac_outfile"; then
    1692016986     # The compiler can only warn and ignore the option if not recognized
     
    1718017246   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1718117247   -e 's:$: $lt_compiler_flag:'`
    17182    (eval echo "\"\$as_me:17182: $lt_compile\"" >&5)
     17248   (eval echo "\"\$as_me:17248: $lt_compile\"" >&5)
    1718317249   (eval "$lt_compile" 2>conftest.err)
    1718417250   ac_status=$?
    1718517251   cat conftest.err >&5
    17186    echo "$as_me:17186: \$? = $ac_status" >&5
     17252   echo "$as_me:17252: \$? = $ac_status" >&5
    1718717253   if (exit $ac_status) && test -s "$ac_outfile"; then
    1718817254     # The compiler can only warn and ignore the option if not recognized
     
    1728417350   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1728517351   -e 's:$: $lt_compiler_flag:'`
    17286    (eval echo "\"\$as_me:17286: $lt_compile\"" >&5)
     17352   (eval echo "\"\$as_me:17352: $lt_compile\"" >&5)
    1728717353   (eval "$lt_compile" 2>out/conftest.err)
    1728817354   ac_status=$?
    1728917355   cat out/conftest.err >&5
    17290    echo "$as_me:17290: \$? = $ac_status" >&5
     17356   echo "$as_me:17356: \$? = $ac_status" >&5
    1729117357   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1729217358   then
     
    1994220008
    1994320009
    19944 
    19945 
    19946 # We check for this header here in a non-standard way to avoid warning
    19947 # messages
    19948 
    19949 
    19950 
    19951 
    19952 
    19953 
    19954 
     20010# No longer needed now that CPPFLAGS is correctly set -- lh, 061214 --
     20011 # AC_REQUIRE([AC_COIN_DLFCN_H])
     20012
     20013# NEW: If libtool exists in the directory higher up, we use that one
     20014#      instead of creating a new one
     20015
     20016# It turns out that the code for AC_PROG_LIBTOOL is somehow AC_REQUIRED
     20017# out in front of this macro body. You'll notice that LIBTOOL is already
     20018# defined here.  We'll have to count on this macro not being called if libtool
     20019# already exists, or at least move the libtool fixes outside the conditional.
     20020# AC_MSG_NOTICE([Entering coin_prog_libtool, LIBTOOL = "$LIBTOOL".])
     20021# This test is therefore removed.  -- lh, 061214 --
     20022# if test "x$LIBTOOL" = x; then
     20023
     20024# AC_MSG_NOTICE([Calling PROG_LIBTOOL.])
     20025
     20026
     20027
     20028
     20029
     20030
     20031
     20032
     20033
     20034# AC_MSG_NOTICE([Finished PROG_LIBTOOL.])
    1995520035
    1995620036
     
    1996020040# - paths generated for .lib files is not run through cygpath -w
    1996120041
    19962 # Correct cygpath for minGW (ToDo!)
    19963 case $build in
    19964   *-mingw*)
    19965     CYGPATH_W=echo
    19966     ;;
    19967 esac
    19968 
    19969 case $build in
    19970   *-cygwin* | *-mingw*)
    19971   case "$CXX" in
    19972     cl* | */cl* | CL* | */CL*)
    19973       { echo "$as_me:$LINENO: Applying patches to libtool for cl compiler" >&5
     20042
     20043# - lib includes subdirectory information; we want to replace
     20044#
     20045# old_archive_cmds="lib /OUT:\$oldlib\$oldobjs\$old_deplibs"
     20046#
     20047# by
     20048#
     20049# old_archive_cmds="echo \$oldlib | grep .libs >/dev/null; if test \$? = 0; then cd .libs; lib /OUT:\`echo \$oldlib\$oldobjs\$old_deplibs | sed -e s@\.libs/@@g\`; cd .. ; else lib /OUT:\$oldlib\$oldobjs\$old_deplibs ; fi"
     20050#
     20051#          -e 's%old_archive_cmds="lib /OUT:\\\$oldlib\\\$oldobjs\\\$old_deplibs"%old_archive_cmds="echo \\\$oldlib \| grep .libs >/dev/null; if test \\\$? = 0; then cd .libs; lib /OUT:\\\`echo \\\$oldlib\\\$oldobjs\\\$old_deplibs \| sed -e s@\\.libs/@@g\\\`; cd .. ; else lib /OUT:\\\$oldlib\\\$oldobjs\\\$old_deplibs; fi"%' \
     20052
     20053# The following was a hack for chaniing @BACKSLASH to \
     20054#          -e 'sYcompile_command=`\$echo "X\$compile_command" | \$Xsed -e '"'"'s%@OUTPUT@%'"'"'"\$output"'"'"'%g'"'"'`Ycompile_command=`\$echo "X\$compile_command" | \$Xsed -e '"'"'s%@OUTPUT@%'"'"'"\$output"'"'"'%g'"'"' | \$Xsed -e '"'"'s%@BACKSLASH@%\\\\\\\\\\\\\\\\%g'"'"'`Y' \
     20055
     20056  # Correct cygpath for minGW (ToDo!)
     20057  { echo "$as_me:$LINENO: Build is \"$build\"." >&5
     20058echo "$as_me: Build is \"$build\"." >&6;}
     20059  case $build in
     20060    *-mingw*)
     20061      CYGPATH_W=echo
     20062      ;;
     20063  esac
     20064
     20065  case $build in
     20066    *-cygwin* | *-mingw*)
     20067    case "$CXX" in
     20068      cl* | */cl* | CL* | */CL*)
     20069        { echo "$as_me:$LINENO: Applying patches to libtool for cl compiler" >&5
    1997420070echo "$as_me: Applying patches to libtool for cl compiler" >&6;}
    19975       sed -e 's|fix_srcfile_path=\"`cygpath -w \"\$srcfile\"`\"|fix_srcfile_path=\"\\\`'"$CYGPATH_W"' \\\"\\$srcfile\\\"\\\`\"|' \
    19976           -e 's|fix_srcfile_path=\"\"|fix_srcfile_path=\"\\\`'"$CYGPATH_W"' \\\"\\$srcfile\\\"\\\`\"|' \
    19977           -e 's%compile_deplibs=\"\$dir/\$old_library \$compile_deplibs\"%compile_deplibs="'\`"$CYGPATH_W"' \$dir/\$old_library | sed -e '"'"'sY\\\\\\\\Y/Yg'"'"\`' \$compile_deplibs\"'% \
    19978           -e 's%compile_deplibs=\"\$dir/\$linklib \$compile_deplibs\"%compile_deplibs="'\`"$CYGPATH_W"' \$dir/\$linklib | sed -e '"'"'sY\\\\\\\\Y/Yg'"'"\`' \$compile_deplibs\"'% \
    19979           -e 's%lib /OUT:%lib -OUT:%' \
    19980           -e "s%cygpath -w%$CYGPATH_W%" \
    19981           -e 's%$AR x \\$f_ex_an_ar_oldlib%bla=\\`lib -nologo -list \\$f_ex_an_ar_oldlib | xargs echo\\`; echo \\$bla; for i in \\$bla; do lib -nologo -extract:\\$i \\$f_ex_an_ar_oldlib; done%' \
    19982           -e 's/$AR t/lib -nologo -list/' \
    19983           -e 's%f_ex_an_ar_oldlib="\($?*1*\)"%f_ex_an_ar_oldlib='\`"$CYGPATH_W"' \1`%' \
    19984           -e  's%^archive_cmds=.*%archive_cmds="\\$CC -o \\$lib \\$libobjs \\$compiler_flags \\\\\\`echo \\\\\\"\\$deplibs\\\\\\" | \\$SED -e '"\'"'s/ -lc\\$//'"\'"'\\\\\\` -link -dll~linknames="%' \
    19985       libtool > conftest.bla
    19986 
    19987       mv conftest.bla libtool
    19988       chmod 755 libtool
    19989       ;;
    19990     *)
    19991       { echo "$as_me:$LINENO: Applying patches to libtool for GNU compiler" >&5
     20071        sed -e 's|fix_srcfile_path=\"`cygpath -w \"\$srcfile\"`\"|fix_srcfile_path=\"\\\`'"$CYGPATH_W"' \\\"\\$srcfile\\\"\\\`\"|' \
     20072            -e 's|fix_srcfile_path=\"\"|fix_srcfile_path=\"\\\`'"$CYGPATH_W"' \\\"\\$srcfile\\\"\\\`\"|' \
     20073            -e 's%compile_deplibs=\"\$dir/\$old_library \$compile_deplibs\"%compile_deplibs="'\`"$CYGPATH_W"' \$dir/\$old_library | sed -e '"'"'sY\\\\\\\\Y/Yg'"'"\`' \$compile_deplibs\"'% \
     20074            -e 's%compile_deplibs=\"\$dir/\$linklib \$compile_deplibs\"%compile_deplibs="'\`"$CYGPATH_W"' \$dir/\$linklib | sed -e '"'"'sY\\\\\\\\Y/Yg'"'"\`' \$compile_deplibs\"'% \
     20075            -e 's%lib /OUT:%lib -OUT:%' \
     20076            -e "s%cygpath -w%$CYGPATH_W%" \
     20077            -e 's%$AR x \\$f_ex_an_ar_oldlib%bla=\\`lib -nologo -list \\$f_ex_an_ar_oldlib | xargs echo\\`; echo \\$bla; for i in \\$bla; do lib -nologo -extract:\\$i \\$f_ex_an_ar_oldlib; done%' \
     20078            -e 's/$AR t/lib -nologo -list/' \
     20079            -e 's%f_ex_an_ar_oldlib="\($?*1*\)"%f_ex_an_ar_oldlib='\`"$CYGPATH_W"' \1`%' \
     20080            -e  's%^archive_cmds=.*%archive_cmds="\\$CC -o \\$lib \\$libobjs \\$compiler_flags \\\\\\`echo \\\\\\"\\$deplibs\\\\\\" | \\$SED -e '"\'"'s/ -lc\\$//'"\'"'\\\\\\` -link -dll~linknames="%' \
     20081        libtool > conftest.bla
     20082
     20083        mv conftest.bla libtool
     20084        chmod 755 libtool
     20085        ;;
     20086      *)
     20087        { echo "$as_me:$LINENO: Applying patches to libtool for GNU compiler" >&5
    1999220088echo "$as_me: Applying patches to libtool for GNU compiler" >&6;}
    19993       sed -e 's|fix_srcfile_path=\"`cygpath -w \"\$srcfile\"`\"|fix_srcfile_path=\"\\\`'"$CYGPATH_W"' \\\"\\$srcfile\\\"\\\`\"|' \
    19994           -e 's|"lib /OUT:\\$oldlib\\$oldobjs\\$old_deplibs"|"\\$AR \\$AR_FLAGS \\$oldlib\\$oldobjs\\$old_deplibs~\\$RANLIB \\$oldlib"|' \
    19995           -e 's|libext="lib"|libext="a"|' \
    19996       libtool > conftest.bla
    19997 
    19998       mv conftest.bla libtool
    19999       chmod 755 libtool
    20000       ;;
     20089        sed -e 's|fix_srcfile_path=\"`cygpath -w \"\$srcfile\"`\"|fix_srcfile_path=\"\\\`'"$CYGPATH_W"' \\\"\\$srcfile\\\"\\\`\"|' \
     20090            -e 's|"lib /OUT:\\$oldlib\\$oldobjs\\$old_deplibs"|"\\$AR \\$AR_FLAGS \\$oldlib\\$oldobjs\\$old_deplibs~\\$RANLIB \\$oldlib"|' \
     20091            -e 's|libext="lib"|libext="a"|' \
     20092        libtool > conftest.bla
     20093
     20094        mv conftest.bla libtool
     20095        chmod 755 libtool
     20096        ;;
     20097    esac
    2000120098  esac
    20002 esac
    20003 
    20004 
     20099# This fi matches the commented `if test "x$LIBTOOL" = x;' up at the head of
     20100# the macro. -- lh, 061214 --
     20101# fi
     20102
     20103# AC_MSG_NOTICE([End libtool initialisation.])
     20104
     20105# AC_MSG_NOTICE([Finished COIN_PROG_LIBTOOL.])
    2000520106  # set RPATH_FLAGS to the compiler link flags required to hardcode location
    2000620107  # of the shared objects
     
    2006120162      s,@am__fastdep* | s,@AR@* | s,@CPP@*  | s,@CPPFLAGS@* | s,@CXXCPP@*  | \
    2006220163      s,@RANLIB@* | s,@STRIP@* | s,@ac_ct_AR@* | s,@ac_ct_RANLIB@* | \
    20063       s,@ac_ct_STRIP@* | s,@host* | s,@LN_S@* | s,@RPATH_FLAGS@* )
     20164      s,@ac_ct_STRIP@* | s,@host* | s,@LN_S@* | s,@RPATH_FLAGS@* | \
     20165      s,@ac_c_preproc_warn_flag@* |  s,@ac_cxx_preproc_warn_flag@* )
    2006420166        command=`echo $oneline | sed -e 's/^s,@//' -e 's/@,/="/' -e 's/,;t t/"/'`
    2006520167#        echo "$command"
     
    2008820190  done
    2008920191fi
     20192
     20193# AC_MSG_NOTICE([End of INIT_AUTO_TOOLS.])
    2009020194
    2009120195# ToDo
     
    2090321007s,@CXXCPP@,$CXXCPP,;t t
    2090421008s,@LIBTOOL@,$LIBTOOL,;t t
     21009s,@ac_c_preproc_warn_flag@,$ac_c_preproc_warn_flag,;t t
     21010s,@ac_cxx_preproc_warn_flag@,$ac_cxx_preproc_warn_flag,;t t
    2090521011s,@RPATH_FLAGS@,$RPATH_FLAGS,;t t
    2090621012s,@LT_LDFLAGS@,$LT_LDFLAGS,;t t
Note: See TracChangeset for help on using the changeset viewer.